-- модуль для общеигровых функций
game_helpers = {}

-- позиция игрвовго поля
game_helpers._game_field_pos = sf.misc.FloatVector(0, 0)

-- методы для установки и получения игрвого поля для синхронизации работы различных эффектов
function game_helpers.SetFieldPos(_pos)
	game_helpers._game_field_pos = _pos
end

function game_helpers.GetFieldPos()
	return game_helpers._game_field_pos
end

-- обновление таблицы рекордов. данные о результате берутся у текущего пользователя из структуры с информацией о текущем режиме игры.
-- _mode - текущий режим игры - 0,1,2 - classic, endless, puzzle.
function game_helpers.AddRecord(_mode)
	s11.g_RecordTable.Instance().AddRecord(_mode)
	s11.g_RecordTable.Instance().Save()
end
